Subject: RE: [pim] Fwd: Multicast in MPLS/BGP IP VPNs

From: "Jim Guichard \(jguichar\)" <[email-masked]>
Date: Mon, 24 Oct 2005 13:42:45 -0400

> Growing number of RRs as proven in many networks including 
> BT's do not solve the issue at all simply due to the fact 
> that easy vpnv4 route partitioning versus right scheme of per 
> given VPN PE homing is very difficult to achieve in practice.

This depends very much on the provisioning systems in place. Technically
partitioning can be achieved using simple communities. The issue is more
how to do that from an operational standpoint.

> 
> If you have many VPNs which are served by all RRs what have 
> you gained ? 
> Do you have at least any examples of real world operators 
> managing VPNv4 route partitioning among different RR clusters 
> with some success ?

So far no-one has needed too afaik but there are several suggestions on
the table to achieve it.
 
> > So?.. Distributed scaling is not unique to the CE based 
> approach, PE 
> > based VPNs can also scale in a distributed manor. For 
> example, route 
> > reflectors can be added as the number of customer routes 
> increases and 
> > new blades can be added to PE chassis incrementally as 
> customer demand 
> > increases.
> 
> You like those RRs don't you :) ? Please describe in detail 
> how do you in practice partition your VPNv4 routes ? How your 
> operations team consult to which RR provision which PEs 
> provided that such a PEs carry more then handful of VPN customers ???

Export with a specific community which is filter by the RR partitions.
Easy to do in practice ? I will let the operators make that judgement ;)

Jim

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 24 Oct 2005 10:49:54 -0700

Hey Jim,

> Easy to do in practice ? I will let the operators make that judgement ;)

Hmm are you suggesting here another overlay on top of RTs ?

The management station would need to be smart to do this .. it has to 
keep state of the number of routes from each VPN site and based on this 
apply the community to a new provisioned vrfs.

What happens when the number of routes from each site out of the sudden 
changes ? Massive SP wide re-provisioning to accommodate RR partition or 
massive RR repartitioning ???? Pick your poison :)))).

Cheers,
R.